MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
module_nspi.c File Reference

NSPI tests. More...

## Functions
bool | mapitest_nspi_CompareMIds (struct mapitest *mt)
bool | mapitest_nspi_DNToMId (struct mapitest *mt)
bool | mapitest_nspi_GetGALTable (struct mapitest *mt)
bool | mapitest_nspi_GetIDsFromNames (struct mapitest *mt)
bool | mapitest_nspi_GetMatches (struct mapitest *mt)
bool | mapitest_nspi_GetNamesFromIDs (struct mapitest *mt)
bool | mapitest_nspi_GetPropList (struct mapitest *mt)
bool | mapitest_nspi_GetProps (struct mapitest *mt)
bool | mapitest_nspi_GetSpecialTable (struct mapitest *mt)
bool | mapitest_nspi_GetTemplateInfo (struct mapitest *mt)
bool | mapitest_nspi_ModLinkAtt (struct mapitest *mt)
bool | mapitest_nspi_ModProps (struct mapitest *mt)
bool | mapitest_nspi_QueryColumns (struct mapitest *mt)
bool | mapitest_nspi_QueryRows (struct mapitest *mt)
bool | mapitest_nspi_ResolveNames (struct mapitest *mt)
bool | mapitest_nspi_ResortRestriction (struct mapitest *mt)
bool | mapitest_nspi_SeekEntries (struct mapitest *mt)
bool | mapitest_nspi_UpdateStat (struct mapitest *mt)

## Detailed Description

NSPI tests.

## Function Documentation

bool mapitest_nspi_CompareMIds | ( | struct mapitest * | mt | ) |

Test the NspiCompareMIds RPC operation (0x0a)

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest_print_retval_clean().

bool mapitest_nspi_DNToMId | ( | struct mapitest * | mt | ) |

Test the NspiDNToMId RPC operation (0x7)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest::mapi_ctx, and mapitest_print_retval_clean().

bool mapitest_nspi_GetGALTable | ( | struct mapitest * | mt | ) |

Test the GetGALTable function

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_PAB_entry(), mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_nspi_GetIDsFromNames | ( | struct mapitest * | mt | ) |

Test the NspiGetIDsFromNames RPC operation (0x12)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval_clean().

bool mapitest_nspi_GetMatches | ( | struct mapitest * | mt | ) |

Test the NspiGetMatches RPC operation (0x5)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest::mapi_ctx, and mapitest_print_retval_clean().

bool mapitest_nspi_GetNamesFromIDs | ( | struct mapitest * | mt | ) |

Test the NspiGetNamesFromIDs RPC operation (0x11)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval_clean().

bool mapitest_nspi_GetPropList | ( | struct mapitest * | mt | ) |

Test the NspiGetPropList RPC operation (0x08)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest::mapi_ctx, mapitest_print(), mapitest_print_retval(), and mapitest::mem_ctx.

bool mapitest_nspi_GetProps | ( | struct mapitest * | mt | ) |

Test the NspiGetProps RPC operation (0x09)

Parameters

  mt | pointer to the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest::mapi_ctx, mapitest_print_retval(), and mapitest_print_retval_clean().

bool mapitest_nspi_GetSpecialTable | ( | struct mapitest * | mt | ) |

Test the NspiGetSpecialTable RPC operation (0x0c)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_nspi_GetTemplateInfo | ( | struct mapitest * | mt | ) |

Test the NspiGetTemplateInfo RPC operation (0x0d)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval_clean().

bool mapitest_nspi_ModLinkAtt | ( | struct mapitest * | mt | ) |

Test the NspiModLinkAtt RPC operation (0x0e)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_nspi_ModProps | ( | struct mapitest * | mt | ) |

Test the NspiModProps RPC operation (0xb)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest::mapi_ctx, mapitest_print(), and mapitest_print_retval_clean().

bool mapitest_nspi_QueryColumns | ( | struct mapitest * | mt | ) |

Test the NspiQueryColumns RPC operation (0x10)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest_print_retval_clean().

bool mapitest_nspi_QueryRows | ( | struct mapitest * | mt | ) |

Test the NspiQueryRows RPC operation (0x3)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest::mapi_ctx, and mapitest_print_retval_clean().

bool mapitest_nspi_ResolveNames | ( | struct mapitest * | mt | ) |

Test the NspiResolveNames and NspiResolveNamesW RPC operations (0x13 and 0x14)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), mapitest_print_retval_clean(), and mapitest::mem_ctx.

bool mapitest_nspi_ResortRestriction | ( | struct mapitest * | mt | ) |

Test the NspiResortRestriction RPC operation (0x6)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval_clean().

bool mapitest_nspi_SeekEntries | ( | struct mapitest * | mt | ) |

Test the NspiSeekEntries RPC operation (0x04)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval_clean().

bool mapitest_nspi_UpdateStat | ( | struct mapitest * | mt | ) |

Test the NspiUpdateStat RPC operation (0x02)

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest_print_retval().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/